Process embeddings
curl --request POST \
--url https://api.example.com/api/embeddings/processimport requests
url = "https://api.example.com/api/embeddings/process"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/embeddings/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"claims_processed": 123,
"success": true
}Claims & semantic memory
Process embeddings
Manually trigger embedding generation for pending claims.
POST
/
api
/
embeddings
/
process
Process embeddings
Manually trigger embedding generation for claims that haven’t been embedded yet. This is useful after bulk event ingestion.
Query parameters
integer
default:"10"
Batch size — number of claims to process in this request.
Response
integer
Number of claims that had embeddings generated.
boolean
Whether the processing succeeded.
{
"claims_processed": 10,
"success": true
}
